package cn.quantgroup.customer.rest.enums.phone;

public enum ModifyPhoneApplyStatus {

    INIT("0", "处理中"),
    DONE("1", "修改完成"),
    NO_ALLOW("2", "不允许修改"),
    ;

    private String code;
    private String message;

    public String getMessage() {
        return message;
    }

    public String getCode() {
        return code;
    }

    ModifyPhoneApplyStatus(String code, String message) {
        this.message = message;
        this.code = code;
    }

    public static boolean validate(String code) {
        if (!INIT.code.equals(code) && !DONE.code.equals(code) && !NO_ALLOW.code.equals(code)) {
            return false;
        }
        return true;
    }

}
